VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IValueListener Class Referenceabstract
Standalone Library

Value listener interface More...

`#include <ivaluelistener.h>`

Inheritance diagram for IValueListener:

## Public Member Functions
virtual void | onBeginEdit (IValue &value)=0
| Value begins editing.
virtual void | onPerformEdit (IValue &value, IValue::Type newValue)=0
| Value performed an edit.
virtual void | onEndEdit (IValue &value)=0
| Value ends editing.
virtual void | onStateChange (IValue &value)=0
| Value changed some of its state.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Value listener interface

## Member Function Documentation

## ◆ onBeginEdit()

virtual void onBeginEdit | ( | IValue & | value | ) |
| pure virtual

Value begins editing.

Implemented in ValueListenerAdapter.

## ◆ onEndEdit()

virtual void onEndEdit | ( | IValue & | value | ) |
| pure virtual

Value ends editing.

Implemented in ValueListenerAdapter.

## ◆ onPerformEdit()

virtual void onPerformEdit | ( | IValue & | value,
|  | IValue::Type | newValue )
| pure virtual

Value performed an edit.

Implemented in ValueListenerAdapter.

## ◆ onStateChange()

virtual void onStateChange | ( | IValue & | value | ) |
| pure virtual

Value changed some of its state.

Implemented in ValueListenerAdapter.

The documentation for this class was generated from the following file:

- ivaluelistener.h